/**
 * create by robot 
 * date Thu Sep 12 16:16:36 CST 2019 
 */ 

var pageIndex=1;
$(document).ready(function(){
	//调用查询
	pageIndex=StringUtil.getQueryString('pageIndex');
	if(pageIndex==undefined||pageIndex==null){
		pageIndex=1;
	}
	queryMerchantDevice(pageIndex);
	//绑定hover操作
	$(document).on('mouseenter','.listOperaters',function(){
		$(this).children(".ops_itemDiv").show();
		var width=15;
		$(this).children('div').find('li').each(function(){
			//获取li宽度
			width+=$(this).width();
		});
		$(this).children('div').width(width);
	})
	$(document).on('mouseleave','.listOperaters',function(){
		$(this).children(".ops_itemDiv").hide();
	});

	//日历控件
	layui.use(['layer', 'laydate'], function() {
		var layer = layui.layer;
		laydate = layui.laydate;
		laydate.render({
		elem: '#date1' //指定元素
		});
		laydate.render({
			elem: '#date2' //指定元素
		});
	});

	//行选中事件
	$("#allCheck").find("span").click(function() {
		$(this).toggleClass('checked');
		if($(this).hasClass('checked')){
			//所有列选中
		  $(".checker").find("span").each(function () {
		         $(this).addClass("checked");
		    })
		}else{
			//所有列取消选中
			$(".checker").find("span").each(function () {
				 $(this).removeClass("checked");
		    })
		}
	});

	//单个选中
	$(document).on('click','.checkeBox span',function() {
		$(this).toggleClass('checked');
		//设置头部事件
		var length=$('.checkeBox span').length;
		var count=0;
		$(".checkeBox").find("span").each(function () {
	        if($(this).hasClass("checked")){
	        	count++;
	        }
	   })
		//全选
	   if(count==length){
		   $("#allCheck").find("span").addClass('checked');
	   }else{
		   $("#allCheck").find("span").removeClass('checked');
	   }
	})
	//左右div高度相等
	var left_content_height = $(".right-content").height();
	$(".left-content").height(left_content_height+35);
	var sub_left_height=$(".res-menu").height(left_content_height-60);
});

//查询
function queryMerchantDevice(index){
	if(typeof(index)=='undefined'){
		index=1;
	}
	var url=ctx+'/merchantDevice/queryMerchantDeviceByPage';
	$.ajax({  
        url:url,  
        type:"post", 
        dataType:"json",  
        data:{  
        	"currPage":index,
        	"name":$("#name").val(),
        	"alias":$("#alias").val(),
			"userId":$("#userId").val(),
        },  
        success:function(result){  
        	var presentPage = result.currPage;
        	//渲染数据
        	$('#data_content').empty();
        	var header='';
        	$.each(result.merchantDeviceList,function(i){
        		var merchantDevice=result.merchantDeviceList[i];
        		var orderNumber = (presentPage-1)*12+i+1;
        		var data='';
        		data+='<tr class="odd">';
        		data+='<td class="textc">';
				data+='		 <div class="checker checkeBox">';        		data+='		 <span class=""  data-id="'+merchantDevice.id+'"><input type="checkbox"  value=""></span>';
        		data+='		</div>';
        		data+='</td>';
        		data+='<td class="textc">'+orderNumber+'</td>';
        		if(StringUtil.isNotBlank($("#admin").val())){
        			data+='<td class="textc">'+merchantDevice.userId+'</td>';
        		}
        		data+='<td class="textc">'+merchantDevice.alias+'</td>';
        		data+='<td class="textc">'+merchantDevice.name+'</td>';
        		//data+='<td class="textc">'+merchantDevice.introDesc+'</td>';
        		data+='<td class="textc"><a href="javascript:void(0);" onclick="enlargePicture(\''+merchantDevice.deviceLogo+'\')"><img src="'+merchantDevice.deviceLogo+'" onerror="javascript:this.src=\'https://www.shouyinbei.net/resources/images/error.jpg\'"   height="30px" width="30px"></img></a></td>';
        		//data+='<td class="textc">'+merchantDevice.merchantCode+'</td>';
        		//data+='<td class="textc">'+merchantDevice.userId+'</td>';
        		data+='<td class="textc">'+merchantDevice.venderModel+'</td>';
        		var createDt='';
        		if(StringUtil.isNotBlank(merchantDevice.createDt)){
        			createDt=new Date(merchantDevice.createDt).toYYYYMMDDHHMMSS();
        		}
        		data+='<td class="textc">'+createDt+'</td>';
        	    data+='</tr>';
        	    $('#data_content').append(data);
        	});
        	//分页
        	$('#pageCount').html(result.pageCount);
      	$('#currPage').html(result.currPage);
          $('#totalCount').html(result.count);
           	//设置分页
           	pageIndex=result.currPage;
			$('#pagination').pagination({
				pageCount: result.pageCount,
				jump: true,
				coping: true,
				jump: true,
				homePage: '首页',
				endPage: '末页',
				prevContent: '上页',
				nextContent: '下页',
				current:result.currPage,
				callback:function(api){
					pageIndex=api.getCurrent();
					queryMerchantDevice(api.getCurrent());
				}
			});
        } 
    });  
	//表头列不选中
	$("#allCheck").find("span").removeClass('checked');
}

//初始化新增
function initAddMerchantDevice(){
	window.location=ctx+'/merchantDevice/queryMerchantDeviceDetails?pageIndex='+pageIndex;
}

//初始化修改
function showMerchantDeviceDetails(id){
	window.location=ctx+'/merchantDevice/queryMerchantDeviceDetails?id='+id+'&pageIndex='+pageIndex;
}

//初始化删除
function initDeleteMerchantDevice(id){
	
		layer.open({
		type: 1,
		closeBtn: 1,		title: '提示',
		offset: 'm', //具体配置参考：offset参数项
		area: ['300px', '180px'],
		content: '<div style="padding:10px;" class="textc mt20">确认删除吗？</div>',
		btn: ['确认','取消'],
		btnAlign: 'r'	, //按钮居中
		shade: 0.3 ,//不显示遮罩
		yes: function() {
			layer.closeAll();
			deleteMerchantDevice(id,true);
		}
	});
}

//删除
function deleteMerchantDevice(id,showMsg){
	$.ajax({
		url:ctx+'/merchantDevice/deleteMerchantDevice',
		data:[{
			name:'id',
			value:id
		}],
		type:'POST',
		dataType:'json',
		success:function(){
			queryMerchantDevice(pageIndex);
			if(showMsg){
				layer.msg('删除成功!');	
			}
		}
	});
}
//头部编辑
function initEditMerchantDevice(){
	var count=0;
	var id=0;
	$(".checkeBox").find("span").each(function () {
         if($(this).hasClass("checked")){
        	 count++;
        	 id=$(this).data('id');
         }
    })
    if(count>1){
    	layer.msg('只能选中一行记录进行操作!');
    	return ;
    }
	 if(count==0){
    	layer.msg('请选中一行记录!');
    	return ;
	  }
	 if(id>0){
	  showMerchantDeviceDetails(id);
	 }
}
//头部删除
function initBatchDeleteMerchantDevice(){
	var count=0;
	$(".checkeBox").find("span").each(function () {
         if($(this).hasClass("checked")){
        	 count++;
         }
    })
	
	 if(count==0){
    	layer.msg('请选中一行记录!');
    	return ;
	  }
	

	layer.open({
		type: 1,
		closeBtn: 1,
		title: '提示',
		offset: 'm', //具体配置参考：offset参数项
		area: ['300px', '180px'],
		content: '<div style="padding:10px;" class="textc mt20">确认删除吗？</div>',
		btn: ['确认','取消'],
		btnAlign: 'r', //按钮居中
		shade: 0.3, //不显示遮罩
		yes: function() {
			layer.closeAll();
			deleteBatchMerchantDevice();
		}
	});
	
}
//批量删除
function deleteBatchMerchantDevice(){
	
	$(".checkeBox").find("span").each(function () {
        if($(this).hasClass("checked")){
        	var id=$(this).data('id');
        	deleteMerchantDevice(id,false);
        	layer.msg('删除成功!');	
        }
   })
}

//点击放大图片
function enlargePicture(billPicUrl){
	//alert("即将弹出图片");
	var data='';
	data+='<img src="'+billPicUrl+'"  class="img" onerror="javascript:this.src=\'https://www.shouyinbei.net/resources/images/error.jpg\'" >';
	$('#picture').append(data);
	$('#pictureWindow').show();
}

function hidePictureWindow(){
	$('#picture').empty();
	$('#pictureWindow').hide();
}

